CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QualifierFactory Class Reference
Inheritance diagram for QualifierFactory:
[legend]
Collaboration diagram for QualifierFactory:
[legend]

## Public Member Functions
| QualifierFactory ()
| QualifierList ()
| QualifierCount ()
| GetQualifierByName ($QualifierName)
| QualifierNameIsInUse ($Name)
Public Member Functions inherited from ItemFactory
| ItemFactory ($ItemClassName, $ItemTableName, $ItemIdFieldName, $ItemNameFieldName=NULL, $FieldId=NULL, $OrderOpsAllowed=FALSE)
| Status ()
| GetCurrentEditedItemId ()
| SetCurrentEditedItemId ($NewId)
| ClearCurrentEditedItemId ()
| ClearCurrentEditedItem ()
| CleanOutStaleTempItems ($MinutesUntilStale=10080)
| Clear out (call the Delete() method) for any temp items more than specified number of minutes old.
| GetLastTempItemId ()
| GetNextItemId ()
| GetHighestItemId ($Condition=NULL, $IncludeTempItems=FALSE)
| GetNextTempItemId ()
| GetItemCount ($Condition=NULL, $IncludeTempItems=FALSE)
| GetItemIds ($Condition=NULL, $IncludeTempItems=FALSE)
| GetLatestModificationDate ($Condition=NULL)
| GetItem ($ItemId)
| ItemExists ($ItemId)
| Check that item exists with specified ID.
| GetItemByName ($Name, $IgnoreCase=FALSE)
| GetItemNames ($SqlCondition=NULL)
| Retrieve item names.
| GetItems ($SqlCondition=NULL)
| Retrieve items.
| GetItemsAsOptionList ($OptionListName, $SelectedItemId=NULL, $SqlCondition=NULL, $DisplaySize=1, $SubmitOnChange=FALSE)
| Retrieve items of specified type as HTML option list with item names as labels and item IDs as value attributes.
| NameIsInUse ($Name, $IgnoreCase=FALSE)
| Check whether item name is currently in use.
| SearchForItemNames ($SearchString, $NumberOfResults=100, $IncludeVariants=FALSE, $UseBooleanMode=TRUE, $Offset=0)
| GetCountForItemNames ($SearchString, $IncludeVariants=FALSE, $UseBooleanMode=TRUE)
| AddItems ($ItemNames, $Qualifier=NULL)
| add items with specified names
| AddItem ($ItemName, $AdditionalValues=NULL)
| Add new item.
| DeleteItem ($ItemId)
| Delete item.
| SetOrderOpsCondition ($Condition)
| InsertBefore ($SourceItemOrItemId, $TargetItemOrItemId)
| InsertAfter ($SourceItemOrItemId, $TargetItemOrItemId)
| Prepend ($ItemOrItemId)
| Append ($ItemOrItemId)
| GetItemIdsInOrder ($AddStrayItemsToOrder=TRUE)
| RemoveItemFromOrder ($ItemId)

## Additional Inherited Members
Protected Attributes inherited from ItemFactory
| $DB
| $FieldId

## Detailed Description

Definition at line 10 of file QualifierFactory.php.

## Member Function Documentation

QualifierFactory::GetQualifierByName | ( |  | $QualifierName | ) |

Definition at line 23 of file QualifierFactory.php.

References ItemFactory\GetItemByName().

QualifierFactory::QualifierCount | ( |  | ) |

Definition at line 22 of file QualifierFactory.php.

References ItemFactory\GetItemCount().

QualifierFactory::QualifierFactory | ( |  | ) |

Definition at line 15 of file QualifierFactory.php.

References ItemFactory\ItemFactory().

QualifierFactory::QualifierList | ( |  | ) |

Definition at line 21 of file QualifierFactory.php.

References ItemFactory\GetItemNames().

QualifierFactory::QualifierNameIsInUse | ( |  | $Name | ) |

Definition at line 25 of file QualifierFactory.php.

References ItemFactory\NameIsInUse().

The documentation for this class was generated from the following file:

- objects/QualifierFactory.php